# Config file

{% tabs %}
{% tab title="ESX" %}

```lua
Config, Locales = {}, {}

Config.Locale = 'en' -- en / pt / es / fr / de

Config.Debug = false -- true = debug | false = no debug

Config.EventPrefix = "okokSpawnSelector" -- This will change the prefix of the events name so if Config.EventPrefix = "example" the events will be "example:event"

Config.MulticharacterSystem = "esx_multicharacter" -- esx_multicharacter / other (changeable in cl_utils.lua)

Config.HouseSystem = "none" -- none / qs-housing / other (changeable in sv_utils.lua)

Config.ClothingSystem = "esx_skin" -- esx_skin / other (changeable in cl_utils.lua)

Config.WeatherSystem = "vSync" -- vSync / other (changeable in sv_utils.lua)

Config.TimeLocale = 'en-US' -- https://www.localeplanet.com/icu/

Config.Use24HourClock = false -- true = 24 hour clock | false = 12 hour clock

Config.UseCelsius = true -- true = celsius | false = fahrenheit

Config.UseOnPlayerLoaded = true -- true = open menu on player loaded | false = use the event to open the menu

Config.Spawns = {
    {label = "Los Santos Golf Club", location = "lsgolfclub",   coords = vector4(-1368.97, 56.78, 53.7, 99.89),      job = "all"},
    {label = "Sandy Shores Airport", location = "ssairport",    coords = vector4(1720.2, 3271.57, 41.15, 123.96),    job = "all"},
    {label = "Los Santos Airport",   location = "lsairport",    coords = vector4(-1733.49, -2907.92, 13.94, 123.96), job = "all"},
    {label = "Police Department",    location = "police",       coords = vector4(428.23, -984.28, 29.76, 3.5),       job = "police"},
    {label = "Pillbox Hospital",     location = "hospital",     coords = vector4(280.39, -587.89, 43.3, 69.38),      job = "ambulance"},
    {label = "Los Santos Pier",      location = "lspier",       coords = vector4(-1610.78, -1055.84, 13.04, 320.02), job = "all"},
    {label = "Legion Square",        location = "legionsquare", coords = vector4(195.17, -933.77, 29.7, 144.5),      job = "all"},
    {label = "Sandy Shores",         location = "sandyshores",  coords = vector4(1815.52, 3793.48, 33.65, 212.04),   job = "all"},
    {label = "Paleto Bay",           location = "paleto",       coords = vector4(-210.57, 6336.5, 31.37, 232.45),    job = "all"},
    {label = "Military Base",        location = "militar",      coords = vector4(-1945.94, 3031.16, 32.81, 152.08),  job = "all"},
    {label = "Observatory",          location = "observatory",  coords = vector4(-425.6, 1123.74, 325.85, 343.9),    job = "all"},
    {label = "Bennys",               location = "bennys",       coords = vector4(-205.83, -1305.17, 31.37, 181.28),  job = "mechanic"},
}

-------------------------- DISCORD LOGS

Config.BotName = 'ServerName' -- Write the desired bot name

Config.ServerName = 'ServerName' -- Write your server's name

Config.IconURL = '' -- Insert your desired image link

Config.DateFormat = '%d/%m/%Y [%X]' -- To change the date format check this website - https://www.lua.org/pil/22.1.html

-- To change a webhook color you need to set the decimal value of a color, you can use this website to do that - https://www.mathsisfun.com/hexadecimal-decimal-colors.html

Config.PlayerSpawnedWebhook = true
Config.PlayerSpawnedWebhookColor = '65280'

Config.PlayerCreatedWebhook = true
Config.PlayerCreatedWebhookColor = '65280'

-------------------------- LOCALES (DON'T TOUCH)
	
function _okok(id)
	if Locales[Config.Locale][id] then
		return Locales[Config.Locale][id]
	else
		print("The locale '"..id.."' doesn't exist!")
	end
end
```

{% endtab %}

{% tab title="QBCore" %}

```lua
Config, Locales = {}, {}

Config.Locale = 'en' -- en / pt / es / fr / de

Config.Debug = false -- true = debug | false = no debug

Config.EventPrefix = "okokSpawnSelector" -- This will change the prefix of the events name so if Config.EventPrefix = "example" the events will be "example:event"

Config.MulticharacterSystem = "qb-multicharacter" -- qb-multicharacter / other (changeable in cl_utils.lua)

Config.HouseSystem = "qb-houses" -- none / qb-houses / qs-housing / other (changeable in sv_utils.lua)

Config.ClothingSystem = "qb-clothing" -- qb-clothing / other (changeable in cl_utils.lua)

Config.WeatherSystem = "qb-weathersync" -- qb-weathersync / other (changeable in sv_utils.lua)

Config.TimeLocale = 'en-US' -- https://www.localeplanet.com/icu/

Config.Use24HourClock = false -- true = 24 hour clock | false = 12 hour clock

Config.UseCelsius = true -- true = celsius | false = fahrenheit

Config.UseQBApartments = true -- true = qb-apartments | false = no qb-apartments (if you don't use qb-apartments, you need to remove line 17 on fxmanifest.lua)

Config.UseOnPlayerLoaded = false -- true = open menu on player loaded | false = use the event to open the menu

Config.Spawns = {
    {label = "Los Santos Golf Club", location = "lsgolfclub",   coords = vector4(-1368.97, 56.78, 53.7, 99.89),      job = "all"},
    {label = "Sandy Shores Airport", location = "ssairport",    coords = vector4(1720.2, 3271.57, 41.15, 123.96),    job = "all"},
    {label = "Los Santos Airport",   location = "lsairport",    coords = vector4(-1733.49, -2907.92, 13.94, 123.96), job = "all"},
    {label = "Police Department",    location = "police",       coords = vector4(428.23, -984.28, 29.76, 3.5),       job = "police"},
    {label = "Pillbox Hospital",     location = "hospital",     coords = vector4(280.39, -587.89, 43.3, 69.38),      job = "ambulance"},
    {label = "Los Santos Pier",      location = "lspier",       coords = vector4(-1610.78, -1055.84, 13.04, 320.02), job = "all"},
    {label = "Legion Square",        location = "legionsquare", coords = vector4(195.17, -933.77, 29.7, 144.5),      job = "all"},
    {label = "Sandy Shores",         location = "sandyshores",  coords = vector4(1815.52, 3793.48, 33.65, 212.04),   job = "all"},
    {label = "Paleto Bay",           location = "paleto",       coords = vector4(-210.57, 6336.5, 31.37, 232.45),    job = "all"},
    {label = "Military Base",        location = "militar",      coords = vector4(-1945.94, 3031.16, 32.81, 152.08),  job = "all"},
    {label = "Observatory",          location = "observatory",  coords = vector4(-425.6, 1123.74, 325.85, 343.9),    job = "all"},
    {label = "Bennys",               location = "bennys",       coords = vector4(-205.83, -1305.17, 31.37, 181.28),  job = "mechanic"},
}

-------------------------- DISCORD LOGS

Config.BotName = 'ServerName' -- Write the desired bot name

Config.ServerName = 'ServerName' -- Write your server's name

Config.IconURL = '' -- Insert your desired image link

Config.DateFormat = '%d/%m/%Y [%X]' -- To change the date format check this website - https://www.lua.org/pil/22.1.html

-- To change a webhook color you need to set the decimal value of a color, you can use this website to do that - https://www.mathsisfun.com/hexadecimal-decimal-colors.html

Config.PlayerSpawnedWebhook = true
Config.PlayerSpawnedWebhookColor = '65280'

Config.PlayerCreatedWebhook = true
Config.PlayerCreatedWebhookColor = '65280'

-------------------------- LOCALES (DON'T TOUCH)
	
function _okok(id)
	if Locales[Config.Locale][id] then
		return Locales[Config.Locale][id]
	else
		print("The locale '"..id.."' doesn't exist!")
	end
end
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokspawnselector/config-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
